StubNotFoundException (Java SE 22 & JDK 22)
Description: declaration: module: java.rmi, package: java.rmi, class: StubNotFoundException
Keywords: java.rmi.StubNotFoundException class

Module java.rmi
Package java.rmi

# Class StubNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.rmi.RemoteException
java.rmi.StubNotFoundException

All Implemented Interfaces:
  `Serializable`

public class StubNotFoundException extends RemoteException
A `StubNotFoundException` is thrown if a valid stub class could not be found for a remote object when it is exported.

Since:
  1.1
See Also:
  - `UnicastRemoteObject`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class java.rmi.RemoteException

  `detail`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StubNotFoundException(String s)`
  Constructs a `StubNotFoundException` with the specified detail message.
  `StubNotFoundException(String s, Exception ex)`
  Constructs a `StubNotFoundException` with the specified detail message and nested exception.

- ## Method Summary

  ### Methods declared in class java.rmi.RemoteException

  `getCause, getMessage`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StubNotFoundException

    public StubNotFoundException(String s)
    Constructs a `StubNotFoundException` with the specified detail message.
    Parameters:
      `s` - the detail message
    Since:
      1.1

  - ### StubNotFoundException

    public StubNotFoundException(String s, Exception ex)
    Constructs a `StubNotFoundException` with the specified detail message and nested exception.
    Parameters:
      `s` - the detail message
      `ex` - the nested exception
    Since:
      1.1